Subject: Re: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Nathan Trapuzzano <[email-masked]>
Date: Wed, 13 Nov 2013 06:41:18 -0500

Jambunathan K <[email-masked]> writes:

> Hmm.... Losing something to gain some thing else doesn't seem good to
> me.

I don't follow. What's being lost?

> I cursorily looked at cperl-mode.  My gut feeling is that which-function
> decides the box it is in by looking at the markers that is returned.  So
> we may have to examine what value goes in to the marker.  

Yes, which-function just looks at the markers in the imenu index.
Changing those markers' positions is exactly what the patch does.